#!/bin/bash

echo " " 
echo " " 
echo " " 
echo " " 
echo " " 
echo "------------------------Версия javac-----------------------------"
echo " " 
/home/bvn/PJ-ASTRA-P-JDK/jdk/bin/javac -version 
echo " "
echo "-----------------------------------------------------------------"
echo "------------------Компиляция javafx программы----------------------"
echo " " 
/home/bvn/PJ-ASTRA-P-JDK/jdk/bin/javac  -encoding utf8 --module-path /home/bvn/PJ-ASTRA-P-JDK/javafx/lib --add-modules javafx.base,javafx.controls,javafx.fxml,javafx.graphics,javafx.media,javafx.swing,javafx.web HelloWorldApplicationFX.java
echo " " 
echo "-------------------Конец компиляции javafx программы---------------"
echo " "
echo "---------------------Версия java --------------------------------"
echo " " 
/home/bvn/PJ-ASTRA-P-JDK/jdk/bin/java -version 
echo " " 
echo "-----------------------------------------------------------------"
echo " " 
echo "-----------------Запуск javafx программы---------------------------"
echo " " 
/home/bvn/PJ-ASTRA-P-JDK/jdk/bin/java --module-path /home/bvn/PJ-ASTRA-P-JDK/javafx/lib --add-modules javafx.base,javafx.controls,javafx.fxml,javafx.graphics,javafx.media,javafx.swing,javafx.web HelloWorldApplicationFX
echo " " 
echo "---------------Конец работы javafx программы-----------------------"
echo " " 
read p
